Pop3sConnector (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.Pop3sConnector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class Pop3sConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.email.AbstractMailConnector
              org.mule.transport.email.AbstractRetrieveMailConnector
                  org.mule.transport.email.AbstractTlsRetrieveMailConnector
                      org.mule.transport.email.Pop3sConnector

All Implemented Interfaces:
  ExceptionListener, EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, TlsIndirectKeyStore, TlsIndirectTrustStore, Connectable, Connector

    public class Pop3sConnector

extends AbstractTlsRetrieveMailConnector

Creates a secure connection to a POP3 mailbox

Field Summary
`static int` | `DEFAULT_POP3S_PORT`
`static String` | `POP3S`

Fields inherited from class org.mule.transport.email.AbstractRetrieveMailConnector
`DEFAULT_CHECK_FREQUENCY`

Fields inherited from class org.mule.transport.email.AbstractMailConnector
`MAILBOX`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, disposed, exceptionListener, initialised, logger, muleContext, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, started, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`Pop3sConnector()`

Method Summary
`String` | `getBaseProtocol()` Some protocols (eg secure extensions) extend a "base" protocol.
`String` | `getProtocol()`

Methods inherited from class org.mule.transport.email.AbstractTlsRetrieveMailConnector
`doInitialise, extendPropertiesForSession, getClientKeyStore, getClientKeyStorePassword, getClientKeyStoreType, getSocketFactory, getSocketFactoryFallback, getTrustStore, getTrustStorePassword, setClientKeyStore, setClientKeyStorePassword, setClientKeyStoreType, setSocketFactory, setSocketFactoryFallback, setTrustStore, setTrustStorePassword`

Methods inherited from class org.mule.transport.email.AbstractRetrieveMailConnector
`createReceiver, getBackupFolder, getCheckFrequency, isBackupEnabled, isDeleteReadMessages, setBackupEnabled, setBackupFolder, setCheckFrequency, setDeleteReadMessages`

Methods inherited from class org.mule.transport.email.AbstractMailConnector
`doConnect, doDisconnect, doDispose, doStart, doStop, dumpProperties, getAuthenticator, getDefaultPort, getMailboxFolder, getSessionDetails, newSession, setAuthenticator, setMailboxFolder, urlFromEndpoint`

Methods inherited from class org.mule.transport.AbstractConnector
`checkDisposed, connect, destroyReceiver, disconnect, dispatch, dispose, disposeDispatchers, disposeReceivers, disposeRequesters, disposeWorkManagers, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getExceptionListener, getMaxDispatchersActive, getMaxRequestersActive, getMessageAdapter, getMuleContext, getName, getNumberOfConcurrentTransactedReceivers, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isResponseEnabled, isStarted, isSyncEnabled, isValidateConnections, lookupReceiver, registerListener, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, send, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherThreadingProfile, setDynamicNotification, setExceptionListener, setMaxDispatchersActive, setMaxRequestersActive, setMuleContext, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, start, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### POP3S

    public static final String POP3S

See Also:
  Constant Field Values

### DEFAULT_POP3S_PORT

    public static final int DEFAULT_POP3S_PORT

See Also:
  Constant Field Values

Constructor Detail

### Pop3sConnector

    public Pop3sConnector()

Method Detail

### getProtocol

    public String getProtocol()

  Returns:
    the primary protocol name for endpoints of this connector

### getBaseProtocol

    public String getBaseProtocol()

  Description copied from class: `AbstractMailConnector`
  Some protocols (eg secure extensions) extend a "base" protocol. Subclasses for such protocols should override this method.

  Overrides:
    `getBaseProtocol` in class `AbstractMailConnector`
  Returns:
    the underlying (eg non-secure) protocol

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.